Subject: Re: bug#18428: Bug#760861: bug#18428: Bug#760861: bug#18428: coreutils binary breaks coreutils documentation

From: Pádraig Brady <[email-masked]>
Date: Tue, 09 Sep 2014 19:25:18 +0100

On 09/09/2014 05:58 PM, Assaf Gordon wrote:
> On 09/09/2014 10:52 AM, Michael Stone wrote:
>> On Tue, Sep 09, 2014 at 03:31:35PM +0100, Pádraig Brady wrote:
>>> It's useful to many, but I agree most don't bother with it
>>> due to the awkward non intuitive default info reader _interface_
>>> (though pinfo is a bit better in that regard).
>>
>> Right. I've heard the argument for 15 years that info docs are really good, it's just the interface. :) In all that time, a better interface hasn't really caught on, and the web happened.
>>
>>> Though it would be better to have direct links.
>>> Now the above full node URL is too long/awkward, so I've just now setup redirects,
>>> so the following proposed new trailers for ls --help and man pages should work:
>>>
>>> ls --help:
>>>  ...
>>>  Full documentation online at: <http://www.gnu.org/software/coreutils/ls>
>>>  Full installed documentation: info '(coreutils) ls invocation'
>>
>> A huge improvement. I suspect that this might also help the info docs show up in google, instead of being below the fold. Alternative wording:
>>
>>    Full documentation online at: <http://www.gnu.org/software/coreutils/ls>
>>    or available locally via: info '(coreutils) ls invocation'
>>
> 
> BTW,
>  "http://gnu.org/s/"  redirects to "http://www.gnu.org/software/" ,
> so
>  http://gnu.org/s/coreutils/ls
> 
> also works.

Oh nice one. Note the redirections here are:

  gnu.org       -- perm --> www.gnu.org
  www.gnu.org/s -- temp --> www.gnu.org/software
  www......./ls -- temp --> www.gnu.org/software/coreutils/...#ls-invocation

So to avoid the first permanent redirection I'll probably go with:

  http://www.gnu.org/s/coreutils/ls

thanks,
Pádraig.